Lists 50 endpoints

POST /lists/{list_id}

Batch subscribe or unsubscribe list members.

operationId: Lists_batchSubscribeOrUnsubscribe

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

skip_merge_validation query optional boolean

If skip_merge_validation is true, member data will be accepted without merge field values, even if the merge field is usually required. This defaults to false.

skip_duplicate_check query optional boolean

If skip_duplicate_check is true, we will ignore duplicates sent in the request when using the batch sub/unsub on the lists endpoint. The status of the first appearance in the request will be saved. This defaults to false.

Request Body

required
application/json
schema ListsBatchSubscribeOrUnsubscribeRequest
Property Type Required
members array required
vip boolean optional
ip_opt string optional
status string optional
language string optional
location object optional
latitude number optional
longitude number optional
interests object optional
ip_signup string optional
email_type string optional
merge_fields object optional
email_address string optional
timestamp_opt string optional
timestamp_signup string optional
sync_tags boolean optional
update_existing boolean optional

Responses

default

An error generated by the Mailchimp API.

200
POST /lists/{list_id}
GET /lists/{list_id}/abuse-reports

Get all abuse reports for a specific list.

operationId: Lists_getAllAbuseReports

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

list_id path required string

The unique ID for the list.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/abuse-reports
GET /lists/{list_id}/abuse-reports/{report_id}

Get details about a specific abuse report.

operationId: Lists_getAbuseReport

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

list_id path required string

The unique ID for the list.

report_id path required string

The id for the abuse report.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/abuse-reports/{report_id}
GET /lists/{list_id}/activity

Get up to the previous 180 days of daily detailed aggregated activity stats for a list, not including Automation activity.

operationId: Lists_getRecentActivityStats

Parameters

Name In Required Type Description
count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

list_id path required string

The unique ID for the list.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/activity
GET /lists/{list_id}/clients

Get a list of the top email clients based on user-agent strings.

operationId: Lists_listTopEmailClients

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

list_id path required string

The unique ID for the list.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/clients
GET /lists/{list_id}/growth-history

Get a month-by-month summary of a specific list’s growth activity.

operationId: Lists_getGrowthHistoryData

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

list_id path required string

The unique ID for the list.

sort_field query optional string

Returns files sorted by the specified field.

sort_dir query optional string

Determines the order direction for sorted results.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/growth-history
GET /lists/{list_id}/growth-history/{month}

Get a summary of a specific list’s growth activity for a specific month and year.

operationId: Lists_getGrowthHistoryByMonth

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

list_id path required string

The unique ID for the list.

month path required string

A specific month of list growth history.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/growth-history/{month}
GET /lists/{list_id}/interest-categories

Get information about a list’s interest categories.

operationId: Lists_listInterestCategories

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

type query optional string

Restrict results a type of interest group

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/interest-categories
POST /lists/{list_id}/interest-categories

Create a new interest category.

operationId: Lists_addInterestCategory

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

Request Body

application/json
schema ListsAddInterestCategoryRequest
Property Type Required
type string required
title string required
display_order integer optional

Responses

default

An error generated by the Mailchimp API.

200
POST /lists/{list_id}/interest-categories
DELETE /lists/{list_id}/interest-categories/{interest_category_id}

Delete a specific interest category.

operationId: Lists_deleteInterestCategory

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

interest_category_id path required string

The unique ID for the interest category.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /lists/{list_id}/interest-categories/{interest_category_id}
GET /lists/{list_id}/interest-categories/{interest_category_id}

Get information about a specific interest category.

operationId: Lists_getInterestCategoryInfo

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

interest_category_id path required string

The unique ID for the interest category.

fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/interest-categories/{interest_category_id}
PATCH /lists/{list_id}/interest-categories/{interest_category_id}

Update a specific interest category.

operationId: Lists_updateInterestCategory

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

interest_category_id path required string

The unique ID for the interest category.

Request Body

application/json
schema ListsAddInterestCategoryRequest
Property Type Required
type string required
title string required
display_order integer optional

Responses

default

An error generated by the Mailchimp API.

200
PATCH /lists/{list_id}/interest-categories/{interest_category_id}
GET /lists/{list_id}/interest-categories/{interest_category_id}/interests

Get a list of this category’s interests.

operationId: Lists_listCategoryInterests

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

interest_category_id path required string

The unique ID for the interest category.

fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/interest-categories/{interest_category_id}/interests
POST /lists/{list_id}/interest-categories/{interest_category_id}/interests

Create a new interest or ‘group name’ for a specific category.

operationId: Lists_addInterestInCategory

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

interest_category_id path required string

The unique ID for the interest category.

Request Body

application/json
schema ListsAddInterestInCategoryRequest
Property Type Required
name string required
display_order integer optional

Responses

default

An error generated by the Mailchimp API.

200
POST /lists/{list_id}/interest-categories/{interest_category_id}/interests
DELETE /lists/{list_id}/interest-categories/{interest_category_id}/interests/{interest_id}

Delete interests or group names in a specific category.

operationId: Lists_deleteInterestInCategory

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

interest_category_id path required string

The unique ID for the interest category.

interest_id path required string

The specific interest or ‘group name’.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /lists/{list_id}/interest-categories/{interest_category_id}/interests/{interest_id}
GET /lists/{list_id}/interest-categories/{interest_category_id}/interests/{interest_id}

Get interests or ‘group names’ for a specific category.

operationId: Lists_getInterestInCategory

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

interest_category_id path required string

The unique ID for the interest category.

interest_id path required string

The specific interest or ‘group name’.

fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/interest-categories/{interest_category_id}/interests/{interest_id}
PATCH /lists/{list_id}/interest-categories/{interest_category_id}/interests/{interest_id}

Update interests or ‘group names’ for a specific category.

operationId: Lists_updateInterestCategoryInterest

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

interest_category_id path required string

The unique ID for the interest category.

interest_id path required string

The specific interest or ‘group name’.

Request Body

application/json
schema ListsAddInterestInCategoryRequest
Property Type Required
name string required
display_order integer optional

Responses

default

An error generated by the Mailchimp API.

200
PATCH /lists/{list_id}/interest-categories/{interest_category_id}/interests/{interest_id}
GET /lists/{list_id}/locations

Get the locations (countries) that the list’s subscribers have been tagged to based on geocoding their IP address.

operationId: Lists_getLocations

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

list_id path required string

The unique ID for the list.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/locations
GET /lists/{list_id}/members

Get information about members in a specific Mailchimp list.

operationId: Lists_getMembersInfo

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

list_id path required string

The unique ID for the list.

email_type query optional string

The email type.

status query optional string

The subscriber’s status.

since_timestamp_opt query optional string

Restrict results to subscribers who opted-in after the set timeframe. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

before_timestamp_opt query optional string

Restrict results to subscribers who opted-in before the set timeframe. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

since_last_changed query optional string

Restrict results to subscribers whose information changed after the set timeframe. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

before_last_changed query optional string

Restrict results to subscribers whose information changed before the set timeframe. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

unique_email_id query optional string

A unique identifier for the email address across all Mailchimp lists.

vip_only query optional boolean

A filter to return only the list’s VIP members. Passing true will restrict results to VIP list members, passing false will return all list members.

interest_category_id query optional string

The unique id for the interest category.

interest_ids query optional string

Used to filter list members by interests. Must be accompanied by interest_category_id and interest_match. The value must be a comma separated list of interest ids present for any supplied interest categories.

interest_match query optional string

Used to filter list members by interests. Must be accompanied by interest_category_id and interest_ids. “any” will match a member with any of the interest supplied, “all” will only match members with every interest supplied, and “none” will match members without any of the interest supplied.

sort_field query optional string

Returns files sorted by the specified field.

sort_dir query optional string

Determines the order direction for sorted results.

since_last_campaign query optional boolean

Filter subscribers by those subscribed/unsubscribed/pending/cleaned since last email campaign send. Member status is required to use this filter.

unsubscribed_since query optional string

Filter subscribers by those unsubscribed since a specific date. Using any status other than unsubscribed with this filter will result in an error.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/members
POST /lists/{list_id}/members

Add a new member to the list.

operationId: Lists_addMemberToList

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

skip_merge_validation query optional boolean

If skip_merge_validation is true, member data will be accepted without merge field values, even if the merge field is usually required. This defaults to false.

Request Body

required
application/json
schema ListsAddMemberToListRequest
Property Type Required
vip boolean optional
tags array optional
ip_opt string optional
status string required
language string optional
location object optional
latitude number optional
longitude number optional
interests object optional
ip_signup string optional
email_type string optional
merge_fields object optional
email_address string required
timestamp_opt string optional
timestamp_signup string optional
marketing_permissions array optional
enabled boolean optional
marketing_permission_id string optional

Responses

default

An error generated by the Mailchimp API.

200
POST /lists/{list_id}/members
DELETE /lists/{list_id}/members/{subscriber_hash}

Archive a list member. To permanently delete, use the delete-permanent action.

operationId: Lists_archiveMember

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address. This endpoint also accepts a list member’s email address or contact_id.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /lists/{list_id}/members/{subscriber_hash}
GET /lists/{list_id}/members/{subscriber_hash}

Get information about a specific list member, including a currently subscribed, unsubscribed, or bounced member.

operationId: Lists_getMemberInfo

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address. This endpoint also accepts a list member’s email address or contact_id.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/members/{subscriber_hash}
PATCH /lists/{list_id}/members/{subscriber_hash}

Update information for a specific list member.

operationId: Lists_updateMember

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address. This endpoint also accepts a list member’s email address or contact_id.

skip_merge_validation query optional boolean

If skip_merge_validation is true, member data will be accepted without merge field values, even if the merge field is usually required. This defaults to false.

Request Body

required
application/json
schema ListsUpdateMemberRequest
Property Type Required
vip boolean optional
ip_opt string optional
status string optional
language string optional
location object optional
latitude number optional
longitude number optional
interests object optional
ip_signup string optional
email_type string optional
merge_fields object optional
email_address string optional
timestamp_opt string optional
timestamp_signup string optional
marketing_permissions array optional
enabled boolean optional
marketing_permission_id string optional

Responses

default

An error generated by the Mailchimp API.

200
PATCH /lists/{list_id}/members/{subscriber_hash}
PUT /lists/{list_id}/members/{subscriber_hash}

Add or update a list member.

operationId: Lists_addOrUpdateMember

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address. This endpoint also accepts a list member’s email address or contact_id.

skip_merge_validation query optional boolean

If skip_merge_validation is true, member data will be accepted without merge field values, even if the merge field is usually required. This defaults to false.

Request Body

required
application/json
schema ListsAddOrUpdateMemberRequest
Property Type Required
vip boolean optional
ip_opt string optional
status string optional
language string optional
location object optional
latitude number optional
longitude number optional
interests object optional
ip_signup string optional
email_type string optional
merge_fields object optional
email_address string required
status_if_new string required
timestamp_opt string optional
timestamp_signup string optional
marketing_permissions array optional
enabled boolean optional
marketing_permission_id string optional

Responses

default

An error generated by the Mailchimp API.

200
PUT /lists/{list_id}/members/{subscriber_hash}
POST /lists/{list_id}/members/{subscriber_hash}/actions/delete-permanent

Delete all personally identifiable information related to a list member, and remove them from a list. This will make it impossible to re-import the list member.

operationId: Lists_removeMemberPermanent

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

POST /lists/{list_id}/members/{subscriber_hash}/actions/delete-permanent
GET /lists/{list_id}/members/{subscriber_hash}/activity

Get the last 50 events of a member’s activity on a specific list, including opens, clicks, and unsubscribes.

operationId: Lists_viewRecentActivityEvents

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address. This endpoint also accepts a list member’s email address or contact_id.

fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

action query optional array

A comma seperated list of actions to return.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/members/{subscriber_hash}/activity
GET /lists/{list_id}/members/{subscriber_hash}/activity-feed

Get a member’s activity on a specific list, including opens, clicks, and unsubscribes.

operationId: Lists_viewRecentActivity

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address. This endpoint also accepts a list member’s email address or contact_id.

fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

activity_filters query optional array

A comma-separated list of activity filters that correspond to a set of activity types, e.g “?activity_filters=open,bounce,click”.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/members/{subscriber_hash}/activity-feed
GET /lists/{list_id}/members/{subscriber_hash}/events

Get events for a contact.

operationId: Lists_getMemberEvents

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address. This endpoint also accepts a list member’s email address or contact_id.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/members/{subscriber_hash}/events
POST /lists/{list_id}/members/{subscriber_hash}/events

Add an event for a list member.

operationId: Lists_addMemberEvent

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address. This endpoint also accepts a list member’s email address or contact_id.

Request Body

required
application/json
schema ListsAddMemberEventRequest
Property Type Required
name string required
is_syncing boolean optional
properties object optional
occurred_at string optional

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

POST /lists/{list_id}/members/{subscriber_hash}/events
GET /lists/{list_id}/members/{subscriber_hash}/goals

Get the last 50 Goal events for a member on a specific list.

operationId: Lists_getMemberGoals

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address. This endpoint also accepts a list member’s email address or contact_id.

fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/members/{subscriber_hash}/goals
GET /lists/{list_id}/members/{subscriber_hash}/notes

Get recent notes for a specific list member.

operationId: Lists_getMemberNotes

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address.

sort_field query optional string

Returns notes sorted by the specified field.

sort_dir query optional string

Determines the order direction for sorted results.

fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/members/{subscriber_hash}/notes
POST /lists/{list_id}/members/{subscriber_hash}/notes

Add a new note for a specific subscriber.

operationId: Lists_addMemberNote

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address.

Request Body

application/json
schema ListsAddMemberNoteRequest
Property Type Required
note string optional

Responses

default

An error generated by the Mailchimp API.

200
POST /lists/{list_id}/members/{subscriber_hash}/notes
DELETE /lists/{list_id}/members/{subscriber_hash}/notes/{note_id}

Delete a specific note for a specific list member.

operationId: Lists_deleteNote

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address. This endpoint also accepts a list member’s email address or contact_id.

note_id path required string

The id for the note.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /lists/{list_id}/members/{subscriber_hash}/notes/{note_id}
GET /lists/{list_id}/members/{subscriber_hash}/notes/{note_id}

Get a specific note for a specific list member.

operationId: Lists_getMemberNote

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address. This endpoint also accepts a list member’s email address or contact_id.

note_id path required string

The id for the note.

fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/members/{subscriber_hash}/notes/{note_id}
PATCH /lists/{list_id}/members/{subscriber_hash}/notes/{note_id}

Update a specific note for a specific list member.

operationId: Lists_updateNoteSpecificListMember

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address. This endpoint also accepts a list member’s email address or contact_id.

note_id path required string

The id for the note.

Request Body

application/json
schema ListsAddMemberNoteRequest
Property Type Required
note string optional

Responses

default

An error generated by the Mailchimp API.

200
PATCH /lists/{list_id}/members/{subscriber_hash}/notes/{note_id}
GET /lists/{list_id}/members/{subscriber_hash}/tags

Get the tags on a list member.

operationId: Lists_getMemberTags

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address. This endpoint also accepts a list member’s email address or contact_id.

fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/members/{subscriber_hash}/tags
POST /lists/{list_id}/members/{subscriber_hash}/tags

Add or remove tags from a list member. If a tag that does not exist is passed in and set as ‘active’, a new tag will be created.

operationId: Lists_addMemberTags

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

subscriber_hash path required string

The MD5 hash of the lowercase version of the list member’s email address.

Request Body

required
application/json
schema ListsAddMemberTagsRequest
Property Type Required
tags array required
name string required
status string required
is_syncing boolean optional

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

POST /lists/{list_id}/members/{subscriber_hash}/tags
GET /lists/{list_id}/merge-fields

Get a list of all merge fields for an audience.

operationId: Lists_listMergeFields

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

type query optional string

The merge field type.

required query optional boolean

Whether it’s a required merge field.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/merge-fields
POST /lists/{list_id}/merge-fields

Add a new merge field for a specific audience.

operationId: Lists_addMergeField

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

Request Body

required
application/json
schema ListsAddMergeFieldRequest
Property Type Required
tag string optional
name string required
type string required
public boolean optional
options object optional
size integer optional
choices array optional
date_format string optional
phone_format string optional
default_country integer optional
required boolean optional
help_text string optional
default_value string optional
display_order integer optional

Responses

default

An error generated by the Mailchimp API.

200
POST /lists/{list_id}/merge-fields
DELETE /lists/{list_id}/merge-fields/{merge_id}

Delete a specific merge field.

operationId: Lists_deleteMergeField

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

merge_id path required string

The id for the merge field.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /lists/{list_id}/merge-fields/{merge_id}
GET /lists/{list_id}/merge-fields/{merge_id}

Get information about a specific merge field.

operationId: Lists_getMergeFieldInfo

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

merge_id path required string

The id for the merge field.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/merge-fields/{merge_id}
PATCH /lists/{list_id}/merge-fields/{merge_id}

Update a specific merge field.

operationId: Lists_updateMergeField

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

merge_id path required string

The id for the merge field.

Request Body

required
application/json
schema ListsUpdateMergeFieldRequest
Property Type Required
tag string optional
name string required
public boolean optional
options object optional
choices array optional
date_format string optional
phone_format string optional
default_country integer optional
required boolean optional
help_text string optional
default_value string optional
display_order integer optional

Responses

default

An error generated by the Mailchimp API.

200
PATCH /lists/{list_id}/merge-fields/{merge_id}
GET /lists/{list_id}/segments

Get information about all available segments for a specific list.

operationId: Lists_getSegmentsInfo

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

list_id path required string

The unique ID for the list.

type query optional string

Limit results based on segment type.

since_created_at query optional string

Restrict results to segments created after the set time. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

before_created_at query optional string

Restrict results to segments created before the set time. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

include_cleaned query optional boolean

Include cleaned members in response

include_transactional query optional boolean

Include transactional members in response

include_unsubscribed query optional boolean

Include unsubscribed members in response

since_updated_at query optional string

Restrict results to segments update after the set time. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

before_updated_at query optional string

Restrict results to segments update before the set time. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00.

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/segments
POST /lists/{list_id}/segments

Create a new segment in a specific list.

operationId: Lists_addNewSegment

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

Request Body

required
application/json
schema ListsAddNewSegmentRequest
Property Type Required
name string required
options object optional
match string optional
conditions array optional
static_segment array optional

Responses

default

An error generated by the Mailchimp API.

200
POST /lists/{list_id}/segments
DELETE /lists/{list_id}/segments/{segment_id}

Delete a specific segment in a list.

operationId: Lists_deleteSegment

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

segment_id path required string

The unique id for the segment.

Responses

default

An error generated by the Mailchimp API.

204

Empty Response

DELETE /lists/{list_id}/segments/{segment_id}
GET /lists/{list_id}/segments/{segment_id}

Get information about a specific segment.

operationId: Lists_getSegmentInfo

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

list_id path required string

The unique ID for the list.

segment_id path required string

The unique id for the segment.

include_cleaned query optional boolean

Include cleaned members in response

include_transactional query optional boolean

Include transactional members in response

include_unsubscribed query optional boolean

Include unsubscribed members in response

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/segments/{segment_id}
PATCH /lists/{list_id}/segments/{segment_id}

Update a specific segment in a list.

operationId: Lists_updateSegmentById

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

segment_id path required string

The unique id for the segment.

Request Body

required
application/json
schema ListsUpdateSegmentByIdRequest
Property Type Required
name string required
options object optional
match string optional
conditions array optional
static_segment array optional

Responses

default

An error generated by the Mailchimp API.

200
PATCH /lists/{list_id}/segments/{segment_id}
POST /lists/{list_id}/segments/{segment_id}

Batch add/remove list members to static segment

operationId: Lists_batchAddRemoveMembers

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

segment_id path required string

The unique id for the segment.

Request Body

required
application/json
schema ListsBatchAddRemoveMembersRequest
Property Type Required
members_to_add array optional
members_to_remove array optional

Responses

default

An error generated by the Mailchimp API.

200
POST /lists/{list_id}/segments/{segment_id}
GET /lists/{list_id}/segments/{segment_id}/members

Get information about members in a saved segment.

operationId: Lists_getSegmentMembers

Parameters

Name In Required Type Description
fields query optional array

A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.

exclude_fields query optional array

A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.

count query optional integer

The number of records to return. Default value is 10. Maximum value is 1000

offset query optional integer

Used for pagination, this it the number of records from a collection to skip. Default value is 0.

list_id path required string

The unique ID for the list.

segment_id path required string

The unique id for the segment.

include_cleaned query optional boolean

Include cleaned members in response

include_transactional query optional boolean

Include transactional members in response

include_unsubscribed query optional boolean

Include unsubscribed members in response

Responses

default

An error generated by the Mailchimp API.

200
GET /lists/{list_id}/segments/{segment_id}/members
POST /lists/{list_id}/segments/{segment_id}/members

Add a member to a static segment.

operationId: Lists_addMemberToSegment

Parameters

Name In Required Type Description
list_id path required string

The unique ID for the list.

segment_id path required string

The unique id for the segment.

Request Body

required
application/json
schema ListsAddMemberToSegmentRequest
Property Type Required
email_address string required

Responses

default

An error generated by the Mailchimp API.

200
POST /lists/{list_id}/segments/{segment_id}/members
Load more endpoints